;=========================================================================
.model small, c
.386
.stack
;=========================================================================
include support.asm
;=========================================================================
.data
    pic1_ocw1 db 0
    pic2_ocw1 db 0
.code
;=========================================================================
.startup
;=========================================================================
    in al, 021h
    mov pic1_ocw1, al
    in al, 0a1h
    mov pic2_ocw1, al
    N=0
    for bit,<1,2,4,8,16,32,64,128>
        print "IRQ "
        print byte$(N),chr$(9)
        .if pic1_ocw1 & bit
            print "disabled",NL
        .else
            print "enabled",NL
        .endif
        N=N+1
    endm

    for bit,<1,2,4,8,16,32,64,128>
        print "IRQ "
        print byte$(N),chr$(9)
        .if pic2_ocw1 & bit
            print "disabled",NL
        .else
            print "enabled",NL
        .endif
        N=N+1
    endm

    print NL

    print "378h",chr$(9)
    mov dx, 37ah
    in  al, dx
    .if al & 10h
        print "parallel port interrupt enabled", NL
    .else
        print "parallel port interrupt disabled", NL
    .endif

    print "278h",chr$(9)
    mov dx, 27ah
    in  al, dx
    .if al & 10h
        print "parallel port interrupt enabled", NL
    .else
        print "parallel port interrupt disabled", NL
    .endif

    print "3BCh",chr$(9)
    mov dx, 3beh
    in  al, dx
    .if al & 10h
        print "parallel port interrupt enabled", NL
    .else
        print "parallel port interrupt disabled", NL
    .endif

    call  waitkey
.exit
;=========================================================================

end

